---
title: "Virginia Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/virginia/"
canonical_url: "https://statepayrules.com/payday-laws/virginia/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Virginia payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Va. Code § 40.1-28.9."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/virginia/](https://statepayrules.com/payday-laws/virginia/)
>
> *Complete statutory guide to Virginia payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Va. Code § 40.1-28.9.*

### Managing payroll or shift workers in Virginia?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Virginia

In Virginia, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under Va. Code § 40.1-28.9, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Virginia, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under Va. Code § 40.1-28.9.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | Va. Code § 40.1-28.9 |
| Voluntary (Resigned/Quit) | Next regular payday | Va. Code § 40.1-28.9 |

## Common Virginia Payday Compliance Traps

- Failing to include regular rate bonuses in overtime math.
- Making unauthorized deductions from final paychecks.
- Misclassifying hourly team members as exempt.

### Help Virginia Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Virginia Overtime Wage Act aligns with FLSA overtime standards requiring 1.5x regular rate for hours worked over 40 per workweek.

### Audit Your Virginia Paystub

Calculate overtime, daily premiums, and regular rates for Virginia.

## Audit Your Virginia Paystub Under VA State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Virginia daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Virginia Statutory Guides

- [Virginia Payday Laws →](https://statepayrules.com/payday-laws/virginia)
- [Virginia Meal & Rest Breaks →](https://statepayrules.com/break-laws/virginia)
- [Virginia Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/virginia)
- [Virginia Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/virginia)

#### Compare Virginia Pay Rules

- [Virginia vs North Carolina →](https://statepayrules.com/calculator/compare/virginia-vs-north-carolina)
- [Virginia vs Maryland →](https://statepayrules.com/calculator/compare/virginia-vs-maryland)

#### Virginia Profession Tools

- [Virginia Registered Nurse →](https://statepayrules.com/calculator/virginia/registered-nurse)
- [Virginia Fast Food & Counter Worker →](https://statepayrules.com/calculator/virginia/fast-food-worker)
- [Virginia Construction Laborer →](https://statepayrules.com/calculator/virginia/construction-laborer)
- [Virginia Electrician →](https://statepayrules.com/calculator/virginia/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Virginia for 2026?** The 2026 statutory minimum wage in Virginia is $12.41 per hour under Va. Code § 40.1-28.9.
- **Does Virginia require daily overtime pay?** Virginia does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Virginia allowed to take a tip credit?** Yes, Virginia allows employers to take a maximum tip credit of $9.87/hr against tipped workers, requiring a minimum direct cash wage of $12.41/hr.
- **How often must employers pay employees in Virginia?** Under Va. Code § 40.1-28.9, employers in Virginia must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Virginia?** In Virginia, final wages for discharged employees must be delivered promptly per state labor statutes (Va. Code § 40.1-28.9) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/virginia/](https://statepayrules.com/payday-laws/virginia/).
